{ pkgs, ... }:
{
  sound.enable = true; # alsa, needed?
  #sound.mediaKeys.enable = true # only enable if headless
  hardware.pulseaudio.enable = true;
  hardware.pulseaudio.package = pkgs.pulseaudioFull; # optional
  #hardware.pulseaudio.support32Bit = true;
  nixpkgs.config.pulseaudio = true;

  environment.systemPackages = with pkgs; [
    pulseeffects-legacy
  ];

  security.rtkit.enable = true; # optional
}
