{ config, pkgs, lib, mkDomain, ... }:
{
  # Netdata
  # Real-time performance monitoring tool

  services.netdata = {
    enable = true;
    #python.enable = false; # default is true
    #python.extraPackages = ps: [];
    #config = { # https://github.com/netdata/netdata/blob/master/daemon/config/README.md
    #  hostname = "";
    #  port = 19999;
    #};
    #configDir = {};
    #extraPluginPaths = [];
  };
  services.nginx.virtualHosts.${mkDomain "netdata"} = lib.mkIf config.services.netdata.enable {
    forceSSL = true; # addSSL = true;
    enableACME = true; #useACMEHost = acmeDomain;
    locations."/" = {
      proxyPass = "http://127.0.0.1:19999";
      proxyWebsockets = true;
    };
  };
}
