{ config, pkgs, lib, mkDomain, ... }:
{
  # roroslyd.no

  services.nginx.virtualHosts.${mkDomain "roroslyd"} = let
    roroslyd-no = pkgs.fetchFromGitea rec {
      name = repo;
      domain = "gitea.noximilien.pbsds.net";
      owner = "pbsds";
      repo = "roroslyd.no";
      #rev = "v${version}";
      rev = "fb7b0a7e70754cf368de7d7c469dabe71b2f1c78";
      sha256 = "Rud5bBUuPgIC5UAGtyuYhUtXhN174UCWDoLUWWc/n6U=";
    };
  in {
    forceSSL = true; # addSSL = true;
    enableACME = true; #useACMEHost = acmeDomain;
    root = "${roroslyd-no}/www.roroslyd.no";
  };

}
