{ config, pkgs, lib, ... }:
lib.mkMerge [
{

  # TODO: gamemode?

	#services.joycond.enable = true;

  environment.systemPackages = [
    (pkgs.lutris.override {
      extraPkgs = pkgs: [
        pkgs.wineWowPackages.staging
        pkgs.winetricks
        pkgs.pixman
        pkgs.libjpeg
        pkgs.gnome.zenity
      ];
      extraLibraries =  pkgs: [
      ];
    })

    # ensure icons appear
    pkgs.gnome.adwaita-icon-theme
    pkgs.hicolor-icon-theme #

    # Needed for some installers like League of Legends
    pkgs.openssl
    pkgs.gnome.zenity

  ];

	hardware.opengl.enable = true;
}
(lib.optionalAttrs (lib.versionOlder (lib.versions.majorMinor lib.version) "24.11") {
  hardware.opengl.driSupport = true;
})
{
	hardware.opengl.driSupport32Bit = true;
	hardware.opengl.extraPackages32 = with pkgs.pkgsi686Linux; [ libva ];

}
]
