{ config, pkgs, lib, mkDomain, ... }:
{
  # refleksjon.no

  services.nginx.virtualHosts.${mkDomain "refleksjon"} = let
    refleksjon-net = pkgs.fetchFromGitea rec {
      name = repo;
      domain = "gitea.noximilien.pbsds.net";
      owner = "pbsds";
      repo = "refleksjon.net";
      rev = "c1b91e369bf411e44534334595d4481cb59bd129";
      sha256 = "O+lNqD2LuESKM+S+AljF2SzIxzK05xdZqiLhylTQ2ls=";
    };
  in {
    forceSSL = true; # addSSL = true;
    enableACME = true; #useACMEHost = acmeDomain;
    root = "${refleksjon-net}/www.refleksjon.net";
  };

}
