{ config, pkgs, lib, ... }:
{
  /* programs.zsh.enable = true; */

  nix.settings.allowed-users = [ "adrlau" ];
  nix.settings.trusted-users = [ "adrlau" ];

  users.users."adrlau" = {
    isNormalUser = true;
    uid = 1007;
    description = "Adrian";
    extraGroups = [ "users" ];
    /* shell = pkgs.zsh; */

    openssh.authorizedKeys.keys = [
      # https://github.com/adrlau.keys
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIFa5y7KyLn2tjxed1czMbyM5scnEpo9v/GfnhL/28ckM"
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAICf7SlyHR6KgP7+IeFr/Iuiu2lL5vaSlzqPonaO8XU0J"
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIEj+Y0RUrSaF8gUW8m2BY6i8e7/0bUWhu8u8KW+AoHDh"
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIHTExYoT3+flrd2wPYiT7sFFDmAUqi2YAz0ldQg7WMop"
    ];
  };
}
